#!/bin/sh

if [ $# -gt 0 ]; then
    exec $*
fi

echo Starting ${APP_VERSION}
if [ -e /debug ]; then
	echo "Running app in debug mode!"
	export PYTHONPATH=/app/site-packages
	/hsmon/site-packages/bin/flask run --host 0.0.0.0
else
	echo "Running app in production mode!"
	gunicorn --chdir hsmon wsgi:app -w 1 --threads 2 -b 0.0.0.0:5000
fi
